Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# Socket_fdset Class Reference

List of all members.

## Public Member Functions
| clear ()
| Marks the content as empty.
bool | IsSetFor (Socket_IP const incon)
| check to see if a socket object has been marked for reading
| setForSocket (Socket_IP const incon)
| SocketFdset ()
| The constructor.
int | WaitForError (bool zeroFds, unsigned int sleep_time)
| This is the function that will wait till one of the sockets is in error state.
int | WaitForError (bool zeroFds)
| This is the function that will wait till one of the sockets is in error state.
int | WaitForRead (bool zeroFds)
int | WaitForRead (bool zeroFds, Time_Span const timeout)
int | WaitForRead (bool zeroFds, unsigned int sleep_time)
int | WaitForWrite (bool zeroFds, unsigned int sleep_time)
| This is the function that will wait till one of the sockets is ready for writing.
int | WaitForWrite (bool zeroFds)
| This is the function that will wait till one of the sockets is ready for writing.

## Member Function Documentation

clear | ( |  | ) |

Marks the content as empty.

bool IsSetFor | ( | Socket_IP const | incon | ) |

check to see if a socket object has been marked for reading

setForSocket | ( | Socket_IP const | incon | ) |

SocketFdset | ( |  | ) |

The constructor.

int WaitForError | ( | bool | zeroFds,
|  | unsigned int | sleep_time
| ) |  |

This is the function that will wait till one of the sockets is in error state.

int WaitForError | ( | bool | zeroFds | ) |

This is the function that will wait till one of the sockets is in error state.

int WaitForRead | ( | bool | zeroFds | ) |

int WaitForRead | ( | bool | zeroFds,
|  | Time_Span const | timeout
| ) |  |

int WaitForRead | ( | bool | zeroFds,
|  | unsigned int | sleep_time
| ) |  |

int WaitForWrite | ( | bool | zeroFds,
|  | unsigned int | sleep_time
| ) |  |

This is the function that will wait till one of the sockets is ready for writing.

int WaitForWrite | ( | bool | zeroFds | ) |

This is the function that will wait till one of the sockets is ready for writing.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties